using addEventListener in js when not supported how be progressive in my js code and provide equivalent? I need to use moderniz lib?